# New Search Ads 360

The new Search Ads 360 assigns new IDs to user accounts, campaigns, ad groups,
keywords (criteria), and ads. There are two additional behavior changes for these IDs:

-
  The new Search Ads 360 assigns a globally unique customer ID to manager, sub-manager,
  and client accounts, formally known as agencies, advertisers and engine accounts,
  respectively.

-
  The new Search Ads 360 no longer assigns unique IDs to keywords and ads.


The conversion API now accepts new Search Ads 360 customer IDs wherever agency ID,
advertiser ID, and engine account IDs are accepted. If you specify a customer API, the API
expects campaign ID, ad group ID, keyword ID, and ad ID to be new Search Ads 360 IDs.
When using new Search Ads 360 keyword or ad IDs, you must specify the associated
campaign and ad group IDs whenever your request uses a keyword or ad ID.


When you use a new Search Ads 360 ID in your request, the response will also use
the new Search Ads 360 IDs.

## Insert/update conversion

We support the following request using the new Search Ads 360 ID:

- Attribute a conversion to a keyword only
- Update conversion with the conversion's `criterionId` (keyword ID) specified


The endpoints are still the same. You should provide the new Search Ads 360
ID in each conversion resource: Instead of setting `agencyId`,
`advertiserId` and `engineAccountId`, you should provide
`customerId`, and use the new Search Ads 360 ID in
`campaignId`, `adGroupId`, `criterionId`,
`adId` when necessary.


Here is the example request of how to use the new Search Ads 360 ID to
attribute a conversion to a keyword.

```
POST  https://www.googleapis.com/doubleclicksearch/v2/conversion
{
  "conversion" : [
    {
      "customerId": "123-123-1234"
      "campaignId": "10000001",
      "adGroupId": "20000001",
      "criterionId": "30000001",
      "conversionId": "floodlight conversion ID 1",
      "conversionTimestamp": "1660799917714",
      "type": "ACTION",
      "quantityMillis": "1000",
      "segmentationType": "FLOODLIGHT",
      "segmentationName": "Test"
    }
  ]
}
    
```